* Create data base for official poverty indexes *
clear
set mem 200m
set more off
capture log close
global dataloc0102="C:\Documents and Settings\wb236343\My Documents\Pakistan\PIHS01-02\"
global dataloc0405="C:\Documents and Settings\wb236343\My Documents\Pakistan\PSLM\data 2004-05"

use "$dataloc0102\create\poverty\pov0102_fbs.dta", clear
keep hhcode peaexpF weight factorpM province region
keep if province>=1 & province<=4
gen year=1
gen peaexpF04=peaexpF*1.296

save temp, replace

use "$dataloc0405\data\poverty\pov0405_fbs_final.dta", clear
keep hhcode peaexp weight factorp province urbrural
gen year=2
rename urbrural region
append using temp
gen popwt=factorp
replace popwt=factorpM if popwt==.

kdensity peaexp [aweight=weight] if peaexp<=3500 , epanechnikov gen(x0405 y0405)
kdensity peaexpF04 [aweight=weight] if peaexpF04<=3500, epanechnikov gen(x0102 y0102)

twoway (line y0405 x0405) (line  y0102 x0102)

label var y0102 "peaexp0102 at 2004/05 prices"

label var y0405 "peaexp0405 at 2004/05 prices"

twoway (line y0405 x0405, clwidth(thick)) (line  y0102 x0102, clcolor(green) clpat(dash) clwidth(thick)), xtitle("consumption expenditure per equivalent adult at 2004/05 prices (peaexp)") ytitle(density) xline(926.15) xlabel(500 926.15 "PL" 1500 2000 2500 3000)

