capture log close
log using do\mkf_districtname.log, replace
clear

*****************************************************************
*   DATE    : October 2006
*   PROGRAM : mkf_districtname  
*   AUTHOR  : Niels Lund
*   INFILE  : basic.dta
*   PURPOSE : Creates file with district names for CWIQ based on FSP report. 
*****************************************************************

use basic

gen dist = int(psucode/100000)

gen district = "Islamabad" if dist==100
replace district = "Attock" if dist==101
replace district = "Rawalpindi" if dist==102
replace district = "Jehlum" if dist==103
replace district = "Chakwal" if dist==104
replace district = "Sargodha" if dist==105
replace district = "Bhakhar" if dist==106
replace district = "Knushab" if dist==107
replace district = "Mianwali" if dist==108
replace district = "Faisalabad" if dist==109
replace district = "Jhang" if dist==110
replace district = "T.T. Singh" if dist==111
replace district = "Gujranwala" if dist==112
replace district = "Gujrat" if dist==113
replace district = "Sialkot" if dist==114
replace district = "Hafizabad" if dist==115
replace district = "Mandi Bahuddir" if dist==116
replace district = "Narowal" if dist==117
replace district = "Lahore" if dist==118
replace district = "Kasur" if dist==119
replace district = "Okara" if dist==120
replace district = "Sheikhupura" if dist==121
replace district = "Vehari" if dist==122
replace district = "Sahiwal" if dist==123
replace district = "Multan" if dist==124
replace district = "Khanewal" if dist==125
replace district = "Pakpatten" if dist==126
replace district = "Lodhran" if dist==127
replace district = "D.G. Khan" if dist==128
replace district = "Rajanpur" if dist==129
replace district = "Layyah" if dist==130
replace district = "Muzaffar Garh" if dist==131
replace district = "Bahawalpur" if dist==132
replace district = "Bahawalnager" if dist==133
replace district = "Rahim Yar Khan" if dist==134

replace district = "Khairpur" if dist==201
replace district = "Sukkur" if dist==202
replace district = "Nawabshah" if dist==203
replace district = "Nowshero Feroz" if dist==204
replace district = "Ghotki" if dist==205
replace district = "Jaccobabad" if dist==206
replace district = "Shikarpur" if dist==207
replace district = "Larkana" if dist==208
replace district = "Dadu" if dist==209
replace district = "Hyderabad" if dist==210
replace district = "Badin" if dist==211
replace district = "Thatta" if dist==212
replace district = "Sanghar" if dist==213
replace district = "Mir Pur Khas" if dist==214
replace district = "Tharparkar" if dist==215
replace district = "Karachi" if dist==216

replace district = "Swat" if dist==301
replace district = "Upper Dir" if dist==302
replace district = "Lower Dir" if dist==303
replace district = "Chitral" if dist==304
replace district = "Shangla" if dist==305
replace district = "Malakand" if dist==306
replace district = "Bonair" if dist==307
replace district = "Peshawar" if dist==308
replace district = "Charsada" if dist==309
replace district = "Nowshera" if dist==310
replace district = "Kohat" if dist==311
replace district = "Karak" if dist==312
replace district = "Hangu" if dist==313
replace district = "D.I. Khan" if dist==314
replace district = "Tank" if dist==315
replace district = "Mansehra" if dist==316
replace district = "Abbottabad" if dist==317
replace district = "Batagram" if dist==318
replace district = "Kohistan" if dist==319
replace district = "Haripur" if dist==320
replace district = "Bannu" if dist==321
replace district = "Lakki Marwat" if dist==322
replace district = "Mardan" if dist==323
replace district = "Swabi" if dist==324

replace district = "Quetta" if dist==401
replace district = "Pashin" if dist==402
replace district = "Qilla Abdullah" if dist==403
replace district = "Chaghi" if dist==404
replace district = "Sibbi" if dist==405
replace district = "Ziarat" if dist==406
replace district = "Kalat" if dist==407
replace district = "Mastung" if dist==408
replace district = "Khuzdar" if dist==409
replace district = "Awaran" if dist==410
replace district = "Kharan" if dist==411
replace district = "Lasbilla" if dist==412
replace district = "Ketch" if dist==413
replace district = "Gwadar" if dist==414
replace district = "Panjgur" if dist==415
replace district = "Zhob" if dist==416
replace district = "Loralai" if dist==417
replace district = "Barkhan" if dist==418
replace district = "Musa Khel" if dist==419
replace district = "Qilla Saifullah" if dist==420
replace district = "Nasirabad" if dist==421
replace district = "Jafarabad" if dist==422
replace district = "Jhal Magsi" if dist==423
replace district = "Bolan" if dist==424

lab var district "District name"

keep psucode district 
compress
sort psucode
save district, replace

log close
