clear
set mem 40m

* Rem the data is only available for 4 provinces
* contrary to previous years hhpindex and hhpindR are not available. the food expenditure is raw as well as the medical care

* Part-I: Extract detailed expenditure data and compute household yearly item wise health expenditure from file titled sect6c.dta.
* Noshin
* agnes DC
* use "M:\Agnes\Surveys Pak\HIES-PIHS\plsms0405\raw data\pslmL4_5.dta", clear
* agnes travel
use "C:\Documents and Settings\wb231464\My Documents\Copy of M\Surveys Pak\HIES-PIHS\plsms0405\raw data\pslmL4_5.dta", clear	
rename serialno itc 
rename paid_v s6cq02 
rename wage_v s6cq04 
rename own_v s6cq06 
rename tran_v s6cq08
 
* select those expenditure items from the file that are related to health. These are 5601, 5602, 5603, 5604 only.
keep if ( itc>=5601 &  itc<=5604)
*(277725 observations deleted)

	* All expenditure is considered here, whether paid and consumed, or unpaid and consumed.

recode  s6cq02 s6cq04 s6cq06 s6cq08 (miss=0)
*(s6cq02: 351 changes made)
*(s6cq04: 25645 changes made)
*(s6cq06: 25896 changes made)
*(s6cq08: 25722 changes made)


gen healthexp =  s6cq02+ s6cq04+ s6cq06+ s6cq08

gen fees =  healthexp if  (itc >5601 & itc <5603)
*(15200 missing values generated)

gen drugs =  healthexp  if  (itc <5602)
*(15153 missing values generated)

gen hospit =  healthexp  if  (itc >5602 & itc < 5604)
*(22743 missing values generated)

gen othercare =  healthexp if  (itc >5603 & itc < 5605)
*(24799 missing values generated)

gen healthm = healthexp/12

recode   fees drugs hospit othercare healthexp healthm (miss=0)
*medexp5602: 15017 changes made
*medexp5601: 15901 changes made
*medexp5603: 24531 changes made
*medexp5604: 25992 changes made

	* Aggregate all medical expenditure of the household with item wise breakup as well.

collapse (sum) healthexp healthm  fees drugs hospit othercare, by (hhcode)
sort hhcode

label variable drugs "yearly expenditure on medicines and supply"
label variable hospit "yearly expenditure on hospital care"
label variable fees "yearly expenditure on outpatient fees (incl medicines provided)"
label variable othercare "yearly expenditure on other care"
label variable healthexp "yearly expenditure on medical care"
label variable healthm "monthly expenditure on medical care"


* Here the total number of households is 14,559

save medexp.dta, replace

* Merge the above file with consumption.dta (already prepared by WB) and save new file "core".

	* consumption data.dta file contains total household expenditure along with household sizes, adult equivalent household sizes, price indices, weights etc.
	* This has 14,708 households, which is more than the number of households in our medexp.dta file created by us from sect6c.dta.

* agnes DC
* use "M:\Agnes\Surveys Pak\HIES-PIHS\plsms0405\consumption data.dta", clear
* agnes travel
use "C:\Documents and Settings\wb231464\My Documents\Copy of M\Surveys Pak\HIES-PIHS\plsms0405\consumption data.dta", clear
*comsumption had 14708 hh 
sort hhcode
merge hhcode using medexp.dta, unique

* 149 hh with no medical expenditure
* Put zero for households who have missing values for health expenditure. 
recode   fees drugs hospit othercare healthexp healthm (miss=0)
keep  hhcode eqadults hhsize weight popwt province urbrural texpendF peaexp healthexp healthm fees drugs hospit othercare
sort hhcode
save core.dta, replace

* 14,708 hh

* Merge the above file with expendts.dta (already prepared by WB) and save new file "core".

* agnes Travel
use "C:\Documents and Settings\wb231464\My Documents\Copy of M\Surveys Pak\HIES-PIHS\plsms0405\expendt04-05.dta", clear
* agnes DC
* use "M:\Agnes\Surveys Pak\HIES-PIHS\plsms0405\expendt04-05.dta", clear
keep  hhcode food medcareY psucode hhsize weight popwt texpend nonfood
sort hhcode
merge hhcode using core.dta, unique
drop  _merge
sort hhcode
save core.dta, replace


* Part-II(a): Retrieving Information about household characteristics

	* Household composition create a people file
* Noshin
* Agnes travel
use "C:\Documents and Settings\wb231464\My Documents\Copy of M\Surveys Pak\HIES-PIHS\plsms0405\raw data\pslmB.dta", clear
* Agnes DC
* use "M:\Agnes\Surveys Pak\HIES-PIHS\plsms0405\raw data\pslmB.dta", clear
sort hhcode

*NUMBER AND PROPORTION OF CHILDREN UNDER 15 YEARS OF AGE

gen kid = 1 if  age<15
replace kid = 0 if kid ==.
by hhcode: gen nbkid = kid if _n==1
by hhcode: replace nbkid = nbkid[_n-1]+kid if _n>1
by hhcode: gen pkid = nbkid / (_N)
label variable nbkid "number of children less than 15 years of age in the household"
label variable pkid "proportion of children less than 15 years of age in the household"

* NUMBER AND PROPORTION OF ADULTS OVER 60

gen old = 1 if  age>60
replace old = 0 if old ==.
by hhcode: gen nbold = old if _n==1
by hhcode: replace nbold = nbold[_n-1]+old if _n>1
by hhcode: gen pold = nbold / (_N)
label variable  nbold "number of adults greater than 60 years of age in the household"
label variable  pold "proportion of adults greater than 60 years of age in the household"

* PROPORTION OF ADULTS (BETWEEN 15 AND 59) WHO ARE FEMALES IN HOUSEHOLD

gen fem =1 if  sex == 2 &  age>=15 & age<=60
replace fem = 0 if fem ==.
by hhcode: gen nbfem = fem if _n==1
by hhcode: replace nbfem = nbfem[_n-1]+fem if _n>1
by hhcode: gen pfemad = nbfem/ (_N)
replace pfemad=0 if pfemad==.
label variable pfemad "Proportion of 15-59 who are female in hh"
label variable nbfem  "Number of females 15-59 in hh"

* Head of household sex
gen sh =  sex if  rel==1
replace sh = 0 if sh ==.
by hhcode: gen sexhead = sh if _n==1
by hhcode: replace sexhead = max(sh, sexhead[_n-1]) if _n>1
label variable  sexhead "sex of household head"
replace sexhead=. if sexhead==0
save people.dta, replace 

********* Integrating education variables

******** literacy: get info and integrate them to the people file 
* Agnes travel
use "C:\Documents and Settings\wb231464\My Documents\Copy of M\Surveys Pak\HIES-PIHS\plsms0405\raw data\pslmC.dta", clear
* Agnes DC
* use "M:\Agnes\Surveys Pak\HIES-PIHS\plsms0405\raw data\pslmC.dta", clear
* Noshin

* In 92-93 questionnaire, literate means read and write, we use the same criteria here
* knowing that for writting only 38,402 have a yes or no response (all do for read)
* under 10 were not assessed for literacy they have and keep a missing value
* Another issue, in educatn1 4 individuals are repeated twice, they are dropped in the process
gen lit=1 if   c01==1 
sort hhcode serialno
duplicates drop
save ed1, replace
use people
sort hhcode serialno
merge  hhcode serialno using ed1, keep (lit)
drop if _merge==2
* 12 people have no response, considered non-literate by default ratehr than creating missing category
drop  _merge


* PROPORTION OF LITERATE INVIVIDUALS OVER 15 IN HOUSEHOLD

sort hhcode
gen litad=1 if  lit==1 & age>=15
replace litad=0 if lit==0
recode  litad (miss=0)
by  hhcode: gen nblitad=litad if _n==1
by hhcode: replace nblitad=nblitad[_n-1]+litad if _n>1
by hhcode: gen plitad=nblitad/(_N- nbkid)
label variable plitad "proportion of literate adults in hh"
save people.dta, replace 


* HIGHEST DIPLOMA OF ADULTS IN HOUSEHOLD

* retrieve diploma and recode it to fit HIES categories
*agnes travel
use "C:\Documents and Settings\wb231464\My Documents\Copy of M\Surveys Pak\HIES-PIHS\plsms0405\raw data\pslmC.dta", clear

* Agnes DC
* use "M:\Agnes\Surveys Pak\HIES-PIHS\plsms0405\raw data\pslmD.dta", clear
* Noshin

keep  hhcode serialno c04

* HIGHEST DIPLOMA IN HH those missing are given zero 
* this was done without checking with sbody who knows edu system, based on rough assumptions
gen diploma=1 if  c04<=4
replace diploma=2 if  (c04==5 | c04==6 | c04==7 )
replace diploma=3 if  (c04==8 | c04==9)
replace diploma=4 if  c04==10
replace diploma=5 if  c04==11
replace diploma=6 if  c04==12
replace diploma=7 if  (c04==13 | c04==14 | c04==15| c04==16 | c04==17 | c04==18)
replace diploma=0 if (c04==. | c04==19)
sort hhcode serialno
save ed1, replace
use people
sort hhcode serialno
merge  hhcode serialno using ed1, keep (diploma)
sort hhcode
gen dipl= diploma if  age>=15
replace dipl = 0 if dipl ==.

by  hhcode: gen hdipl=dipl if _n==1
by hhcode: replace hdipl=max(dipl, hdipl[_n-1]) if _n>1 
label variable hdipl "highest adult diploma in hh"
label define dipl 0 "Other or n.a." 1 "No formal edu or below primary (Less than or equal to class 4)" 2 "Primary (Class 5, 6, 7)" 3 "Middle (Class 8, 9)" 4 "Matric (Class 10,11)" 5 "Intermediate (Class 12)" 6 "BA/BSC/Polytech" 7 "Postgraduate"
label values  hdipl dipl
drop  _merge
sort hhcode serialno
save people.dta, replace 


* EMPLOYMENT VARIABLES FOR FUTURE USE
*agnes
*use "C:\Documents and Settings\wb231464\My Documents\Copy of M\Surveys Pak\HIES-PIHS\PIHS 98-99\empstat 98-99\inco_f.dta", clear
* Noshin
*use "C:\Documents and Settings\noshin.NHPU\Desktop\Agnus Catastrophic Health Expenditure\PIHS 98-99\inco_f.dta", clear


*keep   hhcode idc s1bq01 s1bq03  s1bq04 s1bq05
*sort  hhcode idc
*save empl, replace
*use people
*merge  hhcode idc using empl
*drop  _merge

************  THIS PART TO BE DRAFTED WHEN CODES AVAILABLE EMPLOYMENT, VARIABLES ARE INCLUDED BUT NOT USED YET**********


***************KEEP LAST INDIVIDUAL AND INCLUDE HH INFO IN CORE****************************

* Part-II(b): Keep last household member and allocate summary information to household

sort hhcode 
by hhcode: drop if _n<_N
keep  hhcode nbkid pkid nbold pold nbfem pfemad sexhead plitad hdipl
save lastinidv.dta, replace
merge  hhcode using core
* there are 148 hh for which we have info on eductation etc. but no info on expenditure, they are dropped
drop if  _merge==1
drop  _merge
sort hhcode
save core, replace




use "C:\Documents and Settings\wb231464\My Documents\Copy of M\Surveys Pak\HIES-PIHS\plsms0405\consumption data PSLM 2004-05 aug06.dta", clear
sort hhcode
merge  hhcode using core
drop _merge
sort hhcode
save core, replace

use "C:\Documents and Settings\wb231464\My Documents\Copy of M\Surveys Pak\HIES-PIHS\plsms0405\psuindex04-05.dta", clear
sort hhcode
merge  hhcode using core
drop _merge
save core, replace


********Cleaning out and renaming variables
rename  urbrural rurban
label variable rurban "Urban or Rural"
label define rurb 1 "Urban" 2 "Rural"
label values rurban rurb
label variable province "Province"

rename   popwt iweight
rename weight hweight
label variable hweight "Household weight"
label variable iweight "Individual weight"

label variable eqadults "number of equivalent adults counting all"


label variable drugs "Yearly expenditure on medicines and supply "
label variable hospit "Yearly expenditure on hospital care "
label variable fees "Yearly expenditure on outpatient fees (incl medicines provided)"
label variable othercare "Yearly expenditure on other care "
label variable healthexp "Yearly expenditure on medical care "
label variable healthm "Monthly expenditure on medical care "
rename psucode psu
gen plineF=937.5
gen peahealthF= healthm/psuindex
rename peaexp peaexpF
gen poorF=100 if peaexpF<plineF
recode poorF(miss=0)
order   hhcode  hweight iweight   hhsize eqadults healthm  medcareY healthexp  fees hospit drugs othercare  texpend texpendF peaexp peaexpF peahealthF    psuindex plineF poorF province rurban  sexhead nbkid pkid nbold pold nbfem pfemad plitad hdipl  


* HERE WE ASSIGN VALUE LABELS TO PROVINCES
label define grp 1 "Punjab" 2 "Sind" 3 "NWFP" 4 "Baluchistan" 5 "AJK" 6 "Northern Areas" 7 "FATA"
label values province grp

* check poverty
tab poorF rurban [iweight= iweight], col nofreq


*agnes Travel
save "C:\Documents and Settings\wb231464\My Documents\Copy of M\Surveys Pak\HIES-PIHS\plsms0405\PLSMclean.dta", replace
* Agnes DC
* save "M:\Agnes\Surveys Pak\HIES-PIHS\plsms0405\PLSMclean.dta"


